Subject: Re: PKIX Scale (and the SRV record)

From: Paul A Vixie <[email-masked]>
Date: Mon, 16 Nov 1998 01:14:05 -0800

> 	I would like to propose a minor extension to the SRV record
> to allow classes of information service to be advertised. The reason
> for this is that certificate repositories will play a critical role 
> in PKIX. Those repositories will probably be implemented using LDAP 
> but may be implemented using protocols such as HTTP.
> 
> 	In either case there is a distinction between the 'data class'
> and the 'data transport'. An enterprise may well have many directories
> holding different categories of data. The directory the PKIX clients
> need to access is quite likely only one of these. I propose using a
> 'data class' prefix with the SRV record thus: 
>
> 	__pkix._ldap._tcp.xyz.net

This would be an upward compatible extension and I think it's a fine plan.
I don't see any reason to mention this possibility in RFC2052bis, though.
When you standardize it, it will function as an extension to RFC2052bis.